\documentclass{SM3Efinal_exam}

\begin{document}
    
\maketitle{Sample}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{20}{%
For the frame structure below, determine the degree of static determinacy and, using the \emph{displacement method}, determine the reactions and draw internal force diagrams, including all important values. Take the Young modulus $E = 30$~GPa. 

\begin{center}
    \includegraphics[width=.5\textwidth]{figures/problem01_sample}
\end{center}
    
\noindent
\emph{The assignment may involve loading of joints by concentrated forces and moments, loading of members by concentrated forces, moments, or distributed load, temperature changes, and support settlements.}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{20}{%

\paragraph{Variant A}
For the frame structure below, determine the degree of static determinacy and, using the \emph{force method}, determine the reactions and draw internal force diagrams, including all important values. All members have the same material and cross-section properties ($E = 10$~GPa and $I = 6 \cdot 10^{-3}$~m$^4$). You may neglect the effect of normal and shear forces. 

\begin{center}
    \includegraphics[width=.275\textwidth]{figures/problem02A_sample}
\end{center}

\noindent
\emph{The assignment may involve loading of joints by concentrated forces and moments, loading of members by concentrated forces, moments, or distributed load, temperature changes, support settlements, and incorporating effects of normal and shear forces.}

\paragraph{Variant B} 
For the truss structure below, determine the degree of static determinacy and, using the \emph{force method}, determine the reactions and draw internal force diagrams. All members have the same material and cross-section properties ($E = 10$~GPa and $A = 4 \cdot 10^{-2}$~m$^2$). 

\begin{center}
    \includegraphics[width=.280\textwidth]{figures/problem02B_sample}
\end{center}

\noindent
\emph{The assignment may involve loading of joints by concentrated forces, member temperature changes, and support settlements.}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{12}{%

\paragraph{Variant A}
The given frame structure will be analyzed using the \emph{general displacement method}~(GDM). All members have the same cross-section properties $EI = 36 \cdot 10^3$~kNm$^2$ and $EA = 3.3 \cdot 10^6$~kN. 

\begin{center}
    \includegraphics[width=.45\textwidth]{figures/problem03A_sample}
\end{center}

\begin{description}\noitemsep
    \item[a)] Determine the \emph{minimum} number of fundamental unknowns. Re-draw the static scheme, determine the type of each member (CC, CP, PC) and individual unknowns. Write down the physical meaning of each unknown. 
    
    \item[b)] For joint $\bf 5$, express all fundamental equations of the displacement method, using the end forces and moments in the global coordinate system (i.e. use the symbols $X_{54}$, $Z_{54}$, or $M_{54}$ without expanding them further). Write down the physical meaning of each equation.
    
    \item[c)] Express the end forces $Z_{52}$, $Z_{54}$, $Z_{57}$, and $Z_{56}$ (in the global coordinate system) in terms of fundamental unknowns while explicitly computing all remaining quantities, and specify their physical units. For instance:
    %
    \begin{align*}
        Z_{52} = 6.88 + 9 \cdot 10^3 \varphi_2 + 1.5 \cdot 10^3 (w_5 - w_2)
        \quad
        \text{[m, rad, kN]}
    \end{align*}

\end{description}

\paragraph{Variant B}
The given  frame structure will be analyzed using the \emph{simplified displacement method}~(GDM), aka \emph{slope-deflection} method. All members have the same cross-section properties $EI = 36 \cdot 10^3$~kNm$^2$. 

\begin{center}
    \includegraphics[width=.55\textwidth]{figures/problem03B_sample}
\end{center}

\begin{description}\noitemsep
    \item[a)] Determine the \emph{minimum} number of fundamental unknowns. Re-draw the static scheme, determine the type of each member (CC, CP, PC) and individual unknowns. Write down the physical meaning of each unknown. 
    
    \item[b)] For joint joint $\bf 5$, story $\bf 7$--$\bf 8$--$\bf 9$, and column $\bf 8$--$\bf 4$ express all fundamental equations of the displacement method, using the end forces and moments in the global coordinate system (i.e. use the symbols $X_{52}$, $Z_{52}$, or $M_{52}$ without expanding them further). Write down the physical meaning of each equation.
    
    \item[c)] Express the end forces $X_{31}$, $X_{48}$, $X_{52}$, and $X_{59}$ (in the global coordinate system) in terms of fundamental unknowns while explicitly computing all remaining quantities, and specify their physical units. For instance:
    %
    \begin{align*}
        Z_{52} = 6.88 + 9 \cdot 10^3 \varphi_2 + 1.5 \cdot 10^3 (w_5 - w_2)
        \quad
        \text{[m, rad, kN]}
    \end{align*}

\end{description}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{8}{%
The given truss structure will be analyzed using the \emph{general displacement method}~(GDM). All members have the same Young modulus $E = 210$~GPa and cross-section area $A = 4 \cdot 10^{-3}$~m$^2$. 

\begin{center}
    \includegraphics[width=.4\textwidth]{figures/problem04_sample}
\end{center}

\begin{description}\noitemsep
    \item[a)] Re-draw the static scheme and introduce the fundamental unknowns. Write down the physical meaning of each unknown. 
    
    \item[b)] For joint $\bf 8$, express all fundamental equations of the displacement method, using the end forces and moments in the global coordinate system (i.e. use the symbols $X_{85}$ or $Z_{85}$ without expanding them further). Write down the physical meaning of each equation.
    
    \item[c)] Express the end forces $X_{85}$, $Z_{85}$ (in the global coordinate system) in terms of fundamental unknowns while explicitly computing all remaining quantities, and specify their physical units. 
\end{description}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{8}{%
The given frame structure will be analyzed using the \emph{force method}. Take $EI$ constant. 

\begin{center}
    \includegraphics[width=.55\textwidth]{figures/problem05_sample}
\end{center}

\begin{description}\noitemsep
    \item[a)] Determine the appropriate primary structure and graphically denote all primary unknowns of the force method. Write down the physical meaning of each unknown.
    
    \item[b)] Write down all fundamental unknowns of the force method needed to determine the unknowns. The coefficients $\delta_{ij}$ do not need to be evaluated.
    
    \item[c)] Sketch the static schemes and loads needed to determine the coefficient $\delta_{10}$ (you do not need to draw the diagrams of the corresponding internal forces). Write down the physical meaning of this coefficient. 

    \item[d)] Sketch the static schemes and loads needed to determine the coefficient $\delta_{21}$ (you do not need to draw the diagrams of the corresponding internal forces). Write down the physical meaning of this coefficient. 
\end{description}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{12}{%

\paragraph{Variant A}
For the truss structure below determine the vertical displacement in joint $\bf 4$ using the \emph{principle of virtual forces}. All bars have the same Young modulus of $E = 10$~GPa and cross-section area of $A = 2 \cdot 10^{-2}$~mm$^2$. Sketch the deformed shape of the structure, in which you highlight the determined displacement.

\begin{center}
    \includegraphics[width=.4\textwidth]{figures/problem06A_sample}
\end{center}

\noindent
\emph{The assignment may involve loading of joints by concentrated forces and member temperature changes.}

\paragraph{Variant B}
For the truss structure below determine the virtual displacement in joint $\bf a$ using the \emph{principle of virtual forces}. All bars have the same Young modulus of $E = 30$~GPa and the second moment of area of $I = 10^{-3}$~mm$^4$. Sketch the deformed shape of the structure, in which you highlight the determined displacement.

\begin{center}
    \includegraphics[width=.375\textwidth]{figures/problem06B_sample}
\end{center}

\noindent
\emph{The assignment may involve loading of joints by concentrated forces and moments, loading of members by concentrated forces, moments, or distributed load, and temperature changes.}

\paragraph{Variant C}
For the given statically indeterminate frame structure, we determined the distribution of bending moments shown below. 

\begin{description}\noitemsep
    \item[a)] Using the principle of virtual forces~(and reduction theorem) check if the moment distribution leads to zero horizontal displacement in joint $\bf 4$. Neglect the effect of normal and shear forces.
    
    \item[b)] Using equilibrium equations and the Schwedler relations, determine reactions in all supports of the structure.
\end{description}

\begin{center}
    \includegraphics[width=.95\textwidth]{figures/problem06C_sample}
\end{center}
}

\end{document}